Skip to main content
POST
/
v1
/
claims
Create claim
curl --request POST \
  --url https://plugin-pix-direct.api.lerian.net/v1/claims \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "12345678901",
  "accountId": "019c96a0-0ac0-7de9-9f53-9cf842a2ee5a"
}
'
import requests

url = "https://plugin-pix-direct.api.lerian.net/v1/claims"

payload = {
"key": "12345678901",
"accountId": "019c96a0-0ac0-7de9-9f53-9cf842a2ee5a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '12345678901', accountId: '019c96a0-0ac0-7de9-9f53-9cf842a2ee5a'})
};

fetch('https://plugin-pix-direct.api.lerian.net/v1/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "key": "+5511987654321",
  "type": 3,
  "status": 1,
  "claimId": "claim_abc123xyz",
  "statusDescription": "OPEN"
}

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Obtain token from /v1/login/oauth/access_token endpoint using client credentials (clientId and clientSecret).

Include token in Authorization header: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Token expires after 3600 seconds (1 hour).

Body

application/json
key
string
required

Pix key to claim.

Example:

"12345678901"

accountId
string<uuid>
required

Account identifier of the claimer.

Example:

"019c96a0-0ac0-7de9-9f53-9cf842a2ee5a"

Response

Claim created successfully

key
string
required

Pix key value.

Example:

"+5511987654321"

type
enum<integer>
required

Pix key type identifier. Numeric codes that specify the type of Pix key being used.

Valid values:

  • 0 = CPF (Individual taxpayer ID with 11 digits, e.g., "12345678901")
  • 1 = CNPJ (Company taxpayer ID with 14 digits, e.g., "12345678000190")
  • 2 = EMAIL (Email address, e.g., "user@example.com")
  • 3 = PHONE (Phone number in international format, e.g., "+5511987654321")
  • 4 = EVP (Random UUID key automatically generated, e.g., "123e4567-e89b-12d3-a456-426614174000")
Available options:
0,
1,
2,
3,
4
Example:

3

status
enum<integer>
required

Pix key registration status code. Indicates the current state of a Pix key in its lifecycle.

Valid values:

  • -1 = CANCELLED (Key registration was cancelled)
  • 0 = FINALIZED (Key is finalized/pending confirmation)
  • 1 = ACTIVE (Key is active and operational)
  • 2 = WAITING_OWNERSHIP_CONFIRMATION (Awaiting ownership confirmation from the user)
  • 3 = CREATING (Key is being created in the system)
  • 4 = IM_CLAIMER_PENDING_CONFIRM_CLAIM_REQUEST (I am claimer, pending claim confirmation)
  • 5 = IM_CLAIMER_PENDING_OWNER_GIVEWAY (I am claimer, awaiting current owner to release the key)
  • 6 = IM_OWNER_PENDING_GIVEAWAY_CONFIRM (I am owner, pending approval to transfer key)
  • 7 = IM_CLAIMER_AND_OWNER_GAVEAWAY_PENDING_MY_CONFIRM (Transfer initiated, awaiting my confirmation)
Available options:
-1,
0,
1,
2,
3,
4,
5,
6,
7
Example:

1

claimId
string
required

Unique identifier for the claim.

Example:

"claim_abc123xyz"

statusDescription
string
required

Human-readable claim status description.

Example:

"OPEN"